﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Telerik.Windows.Controls;

namespace GridViewRowDetailsSync
{

	/// <summary>
	/// TestModel
	/// </summary>
	public class TestModel : ViewModelBase
	{
		private Visibility _detailsVisibility = Visibility.Collapsed;

		public Visibility DetailsVisibility
		{
			get => _detailsVisibility;
			set
			{
				_detailsVisibility = value;
				OnPropertyChanged("DetailsVisibility");
			}
		}

		public string GpA { get; set; }
		public string GpB { get; set; }
		public string GpC { get; set; }

		public string Name1 { get; set; }
		public string Name2 { get; set; }
		public string Name3 { get; set; }

		public string Nic1 { get; set; }
		public string Nic2 { get; set; }
		public string Nic3 { get; set; }

		public ObservableCollection<TestModel> Children { get; set; }



		////////////////////////////// Test

		private Visibility _isVisible1 = Visibility.Visible;

		public Visibility IsVisible1
		{
			get => _isVisible1;
			set
			{
				_isVisible1 = value;
				OnPropertyChanged("IsVisible1");
			}
		}

		private Visibility _isVisible2 = Visibility.Visible;

		public Visibility IsVisible2
		{
			get => _isVisible2;
			set
			{
				_isVisible2 = value;
				OnPropertyChanged("IsVisible2");
			}
		}

	}
}
